Package org.apache.struts2.interceptor.validation

# Class AnnotationValidationInterceptor

java.lang.Object
org.apache.struts2.interceptor.AbstractInterceptor
org.apache.struts2.interceptor.MethodFilterInterceptor
org.apache.struts2.validator.ValidationInterceptor
org.apache.struts2.interceptor.validation.AnnotationValidationInterceptor

All Implemented Interfaces:
  `Serializable`, `ConditionalInterceptor`, `Interceptor`

public class AnnotationValidationInterceptor extends ValidationInterceptor
Extends the xwork validation interceptor to also check for a @SkipValidation annotation, and if found, don't validate this action method

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.interceptor.MethodFilterInterceptor

  `excludeMethods, includeMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationValidationInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `doIntercept(ActionInvocation invocation)`
  Subclasses must override to implement the interceptor logic.
  `protected Method`
  `getActionMethod(Class<?> actionClass, String methodName)`

  ### Methods inherited from class org.apache.struts2.validator.ValidationInterceptor

  `doBeforeInvocation, getValidationContext, isValidateAnnotatedMethodOnly, setActionValidatorManager, setAlwaysInvokeValidate, setDeclarative, setProgrammatic, setValidateAnnotatedMethodOnly`

  ### Methods inherited from class org.apache.struts2.interceptor.MethodFilterInterceptor

  `applyInterceptor, getExcludeMethodsSet, getIncludeMethodsSet, intercept, setExcludeMethods, setIncludeMethods`

  ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

  `destroy, init, setDisabled, shouldIntercept`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnnotationValidationInterceptor

    public AnnotationValidationInterceptor()

- ## Method Details

  - ### doIntercept

    protected String doIntercept(ActionInvocation invocation) throws Exception
    Description copied from class: `MethodFilterInterceptor`
    Subclasses must override to implement the interceptor logic.
    Overrides:
      `doIntercept` in class `ValidationInterceptor`
    Parameters:
      `invocation` - the action invocation
    Returns:
      the result of invocation
    Throws:
      `Exception` - in case of any errors

  - ### getActionMethod

    protected Method getActionMethod(Class<?> actionClass, String methodName)